PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_freetuptable

## Name

SPI_freetuptable -- Frees a tuple set created by `SPI_exec` or similar function

## Synopsis

    SPI_freetuptable(tuptable)

### Inputs

SPITupleTable * `tuptable`

  Pointer to tuple table

### Outputs

None

## Description

`SPI_freetuptable` frees a tuple set created by a prior SPI query function, such as `SPI_exec`.

## Usage

This function is useful if a SPI procedure needs to execute multiple queries and does not want to keep the results of earlier queries around until it ends. Note that any unfreed tuple sets will be freed anyway at `SPI_finish`.

Prev | Home | Next
SPI_freetuple | Up | SPI_freeplan